Show / Hide Table of Contents

# Struct CameraManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Control

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct CameraManager

### Fields

| Improve this Doc View Source

#### ActiveCameraIndex

##### Declaration

    public int ActiveCameraIndex

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Camera

##### Declaration

    public Camera*Camera

##### Field Value

Type | Description
--- | ---
Camera* |

| Improve this Doc View Source

#### Camera3

##### Declaration

    public Camera3*Camera3

##### Field Value

Type | Description
--- | ---
Camera3* |

| Improve this Doc View Source

#### Camera4

##### Declaration

    public Camera4*Camera4

##### Field Value

Type | Description
--- | ---
Camera4* |

| Improve this Doc View Source

#### LobbCamera

##### Declaration

    public LobbyCamera*LobbCamera

##### Field Value

Type | Description
--- | ---
LobbyCamera* |

| Improve this Doc View Source

#### LowCutCamera

##### Declaration

    public LowCutCamera*LowCutCamera

##### Field Value

Type | Description
--- | ---
LowCutCamera* |

| Improve this Doc View Source

#### PreviousCameraIndex

##### Declaration

    public int PreviousCameraIndex

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### UnkCamera

##### Declaration

    public CameraBase UnkCamera

##### Field Value

Type | Description
--- | ---
CameraBase |

### Properties

| Improve this Doc View Source

#### Instance

##### Declaration

    public static readonly CameraManager*Instance { get; }

##### Property Value

Type | Description
--- | ---
CameraManager* |

### Methods

| Improve this Doc View Source

#### GetActiveCamera()

##### Declaration

    public Camera*GetActiveCamera()

##### Returns

Type | Description
--- | ---
Camera* |